ALERT: Some images may not load properly within the Knowledge Base Article. If you see a broken image, please right-click and select 'Open image in a new tab'. We apologize for this inconvenience.

Endpoint Protection for Linux fails to compile kernel modules on Amazon Linux AMI 2017.03 and 2018.03

book

Article ID: 172094

calendar_today

Updated On:

Products

Endpoint Protection

Issue/Introduction

Symantec Endpoint Protection for Linux (SEPFL) fails to auto-compile against Amazon Linux AMI 2017.03 and 2018.03, running kernels 4.9.81-35.56.amzn1.x86_64 and 4.14.33-51.37.amzn1-x86_64, respectively.

Starting AP: symev: unable to load kernel support module (UNSUPPORTED-OS-UNK-| UNK-UNK-4.9.81-35.56.amzn1-x86_64)

or

Starting AP: symev: unable to load kernel support module (UNSUPPORTED-OS-UNK-UNK-UNK-4.14.33-51.37.amzn1-x86_64)

Environment

Amazon AMI Linux

Resolution

This issue is fixed in Symantec Endpoint Protection 14.2.0.1 (14.2 MP1)  For information on how to obtain the latest build of Symantec Endpoint Protection, see Download the latest version of Symantec Endpoint Protection.